---
name: Bug report
about: Let us know about a bug!
title: ''
labels: ''
assignees: ''

---

<!-- Please reserve GitHub issues for bug reports and feature requests.

For questions, the best place to get answers is on our [discussion forum](https://discuss.hashicorp.com/c/waypoint), as they will get more visibility from experienced users than the issue tracker.

Please note: We take Waypoint's security and our users' trust very seriously. If you believe you have found a security issue in Waypoint, please responsibly disclose by contacting us at security@hashicorp.com. Our PGP key is available at our security page: https://www.hashicorp.com/security/

-->

**Describe the bug**
A clear and concise description of what the bug is.

**Steps to Reproduce**
Steps to reproduce the behavior.

Please include any `waypoint.hcl` files if applicable, as well as a
[GitHub Gist](https://gist.github.com/) of any relevant logs or steps to
reproduce the bug. Running `waypoint` commands with `-v` up to `-vvv` will
include any additional debugging info in the log.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Waypoint Platform Versions**
Additional version and platform information to help triage the issue if
applicable:

* Waypoint CLI Version:
* Waypoint Server Platform and Version: (like `docker`, `nomad`, `kubernetes`)
* Waypoint Plugin: (like `aws/ecs`, `pack`, `azure`)

**Additional context**
Add any other context about the problem here.
